.radio-base {
  position: relative;
  width: var(--hs-spacing-large);
  height: var(--hs-spacing-large);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.radio-base .radio-base__input {
  position: absolute;
  appearance: none;
  cursor: pointer;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  outline: 0;
  color: var(--hs-color-input-accent);
  background-color: var(--hs-color-input-bg);
  border: 1px solid var(--hs-color-border-dark);
  border-radius: 50%;
  box-sizing: border-box;
}

.radio-base .radio-base__input:focus,
.radio-base .radio-base__input:checked {
  border-color: var(--hs-palette-button-primary-main);
}

.radio-base .radio-base__input:disabled {
  cursor: default;
  color: var(--hs-palette-button-disabled-main);
  border-color: var(--hs-palette-button-disabled-main);
}

.radio-base .radio-base__mark {
  width: 100%;
  height: 100%;
  transform: scale(0);
  background: currentcolor;
  border-radius: 50%;
  pointer-events: none;
}

.radio-base .radio-base__input:checked + .radio-base__mark {
  transform: scale(0.65);
}

.radio-base .radio-base__input:disabled + .radio-base__mark {
  color: var(--hs-palette-button-disabled-main);
}
